#!/usr/bin/python

# Example FastCGI script to publish the contents of the quixote.demo
# package.

from quixote import imphooks
from quixote.publish import Publisher

PACKAGE_NAME = 'quixote.demo'

def main():
    # Install the PTL import hook
    imphooks.install()

    # Create a Publisher instance 
    app = Publisher(PACKAGE_NAME)

    # (Optional step) Read a configuration file
    #app.read_config("/www/conf/quixote.conf")

    # (Optional step) Open the configured log files
    #app.setup_logs()

    # Enter the publishing main loop
    app.publish_cgi()

if __name__ == '__main__': 
    main()
